/*
 * File         : BV_Tango_Control.h
 * Author       : Tomasz Stachowiak
 * Created      : Thu Oct 22 12:18:57 1998
 * Revision     : $Revision$
 * Updated      : $Date$
 * Copyright: Northeast Parallel Architectures Center
 *            at Syracuse University 1998
 */

#ifndef __BV_TANGO_CONTROL_H
#define __BV_TANGO_CONTROL_H

#include "BVN/SprocThread.h"
#include "BV_Session_Control.h"
#include "tango.h"

#define JOIN 60
#define NEW 61
#define LEAVE 62
#define DELETE 63

class BV_Tango_Control
{
 public:

  BV_Tango_Control(int argc, char **argv);
  ~BV_Tango_Control();
  int handle_events();
  int send_msg(char *msg, int len);

 protected:

  SprocThread *read_thread;
  BV_Session_Control *session_;
  int tango_sock_;

};

#endif

